import { ProjectParams } from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  LIST = '/pro/reportCenter/mothFund',
  DETAIL = '/pro/reportCenter/details/details',
  EXPORT = '/pro/export/monthlyEngineer',
}

//月季度列表接口
export const monthList = (params) =>
  defHttp.post({
    url: Api.LIST,
    params,
  });

//月季度详情接口
export const monthDetail = (params) =>
  defHttp.post({
    url: Api.DETAIL,
    params,
  });

//月季度导出接口
export const monthExport = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.EXPORT,
      data: params,
      headers: {
        'Content-Type': 'application/json;charset=UTF-8',
      },
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
