import { ProjectParams } from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  LIST = '/pro/reportCenter/completionSituation',
  DETAIL = '/pro/reportCenter/details/completionSituation',
  EXPORT = '/pro/export/completionSitutation',
}

//计划完成情况列表接口
export const performanceList = (params) =>
  defHttp.post({
    url: Api.LIST,
    params,
  });

//计划完成情况详情接口
export const performanceDetail = (params) =>
  defHttp.post({
    url: Api.DETAIL,
    params,
  });
//计划完成情况导出接口
export const performanceExport = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.EXPORT,
      data: params,
      headers: {
        'Content-Type': 'application/json;charset=UTF-8',
      },
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
