import { BasicPageParams, BasicFetchResult } from '@/api/model/baseModel';

export type ProjectParams = {
  projectName?: string;
};

export type ProjectPageParams = BasicPageParams & ProjectParams;
export interface ProjectListItem {
  id: string;
  projectName: string;
  isReserveProject: string;
  constructionSite: string;
  constructionMode: string;
  projectType: string;
  projectOverview: string;
  constructionPurpose: string;
  delFlag: string;
  constructionScale: string;
  fundingSource: string;
  implementingEntity: string;
  logo: string;
  createTime: null;
  createBy: string;
  updateTime: null;
  updateBy: string;
}

export interface ProjectModel {
  id?: string | number;
  constructionMode: string;
  isReserveProject: string;
  projectType: string;
  projectOverview: string;
  constructionPurpose: string;
}
export interface ProjectCountModel {
  counttotal: number;
  countbuildbyoneself: number;
  countbuildbyentrust: number;
  countbuildbyreplace: number;
  countbuildbyhold: number;
  countreserve: number;
}
export type ProjectListGetResultModel = BasicFetchResult<ProjectListItem>;
