import { BasicPageParams, BasicFetchResult } from '@/api/model/baseModel';
export type ProjectParams = {
  //年份
  givenYear?: string;
  //companyName
  companyName?: string;
  //季度
  quarter: string;
};

export type ProjectPageParams = BasicPageParams & ProjectParams;
export interface ProjectListItem {
  id: string;
  //合同id
  contractId: string;
  projectInvestment: string;
  biddingMethod: string;
  firstPartyName: string;
  secondPartyName: string;
  formOfContract: string;
  contractSigningTime: string;
  closingTime: string;
  contractAmount: string;
  superContractScale: string;
  submittedForSettlement: string;
  meetingMinutes: string;
  remark: string;
  fundingSource: string;
  projectName: string;
  proportionContractAmount: string;
  createTime: null;
  createBy: string;
  updateTime: null;
  updateBy: string;
}

export interface ChangModel {
  id?: string | number;
  constructionMode: string;
  isReserveProject: string;
  projectType: string;
  projectOverview: string;
  constructionPurpose: string;
}

export interface ProjectModel<P, C> {
  management: P[];
  proClosingQuarter: C;
}

export interface ContentModel {
  id?: string | number;
  quarter: string | number;
  companyName: string;
  givenYear: string;
  yearQuarter: string;
  status: string;
}

export interface PlanModel {
  id: string | number;
  contractId: string | number;
  projectId: string | number;
  projectInvestment: string | number;
  biddingMethod: string | number;
  contracYpe: string | number;
  contractName: string | number;
  firstPartyName: string | number;
  secondPartyName: string | number;
  formOfContract: string | number;
  closingTime: string | number;
  closingTimeDatetime: string | number;
  contractAmount: string | number;
  submittedForSettlement: string | number;
  superContractScale: string | number;
  sumOfMoney: string | number;
  proportionContractAmount: string | number;
  meetingMinutes: string | number;
  proClosingQuarterId: string | number;
  remark: string | number;
}

export type ProjectListGetResultModel = BasicFetchResult<ProjectListItem>;
export type EditModel = ProjectModel<PlanModel[], ContentModel>;
