import { ProjectParams, ProjectListGetResultModel, ProjectModel } from './model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/monthEngineer/page',
  GetMonthlyPlanTotalList = '/pro/reportCenter/mothFund',
  AddProject = '/pro/monthEngineer/add',
  UpdateProject = '/pro/monthEngineer/update',
  DeleteProject = '/pro/monthEngineer/delInTable',
  ProjectDetail = '/pro/monthEngineer/details',
  Itemdelete = '/pro/monthEngineer/delByDetail',
  audit = '/pro/monthEngineer/audit',
  selectCount = '/pro/monthEngineer/selectCount',
  GetMonthlyPlanDetail = '/pro/reportCenter/details/details',
}
export const getMonthlyPlanList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const getMonthlyPlanTotalList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetMonthlyPlanTotalList, data: params });

export const getMonthlyPlanDetail = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetMonthlyPlanDetail, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    params,
  });
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.audit,
    params,
  });
export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const Itemdelete = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.Itemdelete, params });

export const getItem = (params?: any) =>
  defHttp.get<ProjectModel>({ url: Api.ProjectDetail, params });
