import {
  ProjectParams,
  ProjectListGetResultModel,
  ProjectModel,
} from './model/engineeringprojectModel';
import { defHttp } from '@/utils/http/axios';
import { ListItem, ProjectPageParams } from '@/api/project/model/biddingPlanModel';

enum Api {
  GetList = '/pro/completion/getList',
  GetPerformanceList = '/pro/reportCenter/completionSituation',
  AddProject = '/pro/completion/add',
  UpdateProject = '/pro/completion/edit',
  ProjectDetail = '/pro/completion/getById',
  DeleteProject = '/pro/completion/delete',
  engineeringList = '/pro/completion/getCanCompletion',
  GetEngineProjectList = '/pro/completion/getCompletionPro',
  audit = '/pro/completion/audit',
  Itemdelete = '/pro/completion/delProject',
  GetPerformanceDetail = '/pro/reportCenter/details/completionSituation',
  getProject = '/pro/completion/getProject',
}
export const getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const getPerformanceList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetPerformanceList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getItem = (params?: any) =>
  defHttp.get<ListItem[]>({ url: Api.ProjectDetail, params });
export const getEngineeringList = (params?: any) =>
  defHttp.post<ListItem[]>({ url: Api.engineeringList, data: params });
export const GetEngineProjectList = (params?: any) =>
  defHttp.post<ListItem[]>({
    url: Api.GetEngineProjectList,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.audit,
    data: params,
  });
export const Itemdelete = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.Itemdelete, params });

// 查看投资计划完成情况详情
export const getPerformanceDetail = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.GetPerformanceDetail, data: params });

export const getProject = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.getProject, params });
