import {
  ProjectParams,
  ProjectListGetResultModel,
  ProjectModel,
  ProjectListItem,
  ProjectCountModel,
  AnnexListItem,
} from './model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/project/list/page',
  AddProject = '/pro/project/add',
  UpdateProject = '/pro/project/update',
  DeleteProject = '/pro/project/del',
  ProjectDetail = '/pro/project/details',
  ProjectCount = '/pro/project/count',
  annexList = '/pro/annex/listByProId',
  projectAnnexList = '/pro/annex/listByProId',
  annexAdd = '/pro/annex/add',
  deleteAnnex = '/pro/annex/del',
  changeRecord = '/pro/project/select/changeRecord',
}
export const getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectListGetResultModel>({ url: Api.GetList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.AddProject, data: params });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getItem = (params?: any) =>
  defHttp.get<ProjectListItem>({ url: Api.ProjectDetail, params });

export const getProjectCount = (params?: any) =>
  defHttp.post<ProjectCountModel>({ url: Api.ProjectCount, params });

export const getAnnexList = (params?: any) =>
  defHttp.get<AnnexListItem>({ url: Api.annexList, params });

export const getProjectAnnexList = (params?: any) =>
    defHttp.get<AnnexListItem>({ url: Api.projectAnnexList, params });

export const AnnexAdd = (params?: any) =>
  defHttp.post<AnnexListItem>({
    url: Api.annexAdd,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const deleteAnnex = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.deleteAnnex, params });

export const changeRecord = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.changeRecord, params });
