import { defHttp } from '@/utils/http/axios';
import { ProjectModel, ProjectParams } from '@/api/project/model/projectModel';

enum Api {
  GetList = '/pro/educationTraining/page',
  safetyEducationGetList = '/pro/educationTraining/page',
  UpdateProject = '/pro/educationTraining/update',
  DeleteProject = '/pro/educationTraining/del',
  GetUserList = '/pro/sys/sysUser',
}

export const getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const safetyEducationGetListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.safetyEducationGetList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getUserList = () => defHttp.post<ProjectModel>({ url: Api.GetUserList });
