// import { ProjectParams, ProjectListGetResultModel, ProjectModel } from './model/projectModel';
import { ProjectParams, ProjectModel } from './model/settlementManageModel';

import { defHttp } from '@/utils/http/axios';

enum Api {
  //查询list
  GetList = '/pro/reportCenter/settlement/list',
  //结算管理查询List集合
  GetListPage = '/pro/settlement/page',
  //新增接口
  Add = '/pro/settlement/add',
  //根据id查询详情
  GetItem = '/pro/settlement/findById',
  //修改接口
  update = '/pro/settlement/update-settlement',
  //根据id删除
  deleteItem = '/pro/settlement/byid-del',
  //审核接口
  audit = '/pro/settlement/byId-examine',
  //删除列表接口
  deleteList = '/pro/settlement/del',
    //查询部门列表
  getDepartmentList = '/pro/sys/sysDept',
    // 查询季度是否已经存在
    isSettlement = '/pro/settlement/is-settlement',
}
export const getSettlementManageList = (params?: ProjectParams) =>
  defHttp.post<ProjectParams>({ url: Api.GetList, data: params });

export  const  getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectParams>({ url: Api.GetListPage, data: params });

export const addItems = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.Add,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
//根据id查询详情
export const getItem = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.GetItem,
    params,
  });

/**
 * 修改
 */
export const updateItem = (params?: any) =>
  defHttp.put<ProjectModel>(
      {
    url: Api.update,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

/**
 *  根据id删除
 */
export const deleteOne = (params?: any) =>
  defHttp.delete<ProjectModel>({
    url: Api.deleteItem,
    params,
  });

/**
 *  审核接口
 */
export const auditItem = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.audit,
    params,
  });

/**
 * deleteList
 */
export const deleteList = (params?: any) =>
  defHttp.delete<ProjectModel>({
    url: Api.deleteList,
    params,
  });

export  const  getDepartmentList = () =>
  defHttp.post<ProjectModel>({
    url: Api.getDepartmentList,
  });

export  const  isSettlement = (params?: any) =>
  defHttp.get<ProjectModel>({
    url: Api.isSettlement,
    params,
  });
