import { ProjectParams, ProjectModel } from './model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/settlement/page',
  GetInvestmentPlanList = '/pro/reportCenter/investmentPlan',
  GetInvestmentPlanDetail = '/pro/reportCenter/details/investmentPlan',
}
export const getList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

// 获取报表中心投资计划列表数据
export const getInvestmentPlanList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetInvestmentPlanList, data: params });

// 查看投资计划详情
export const getInvestmentPlanDetail = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.GetInvestmentPlanDetail, data: params });
